      SUBROUTINE GSQWIN(X0,X1,Y0,Y1)
      INCLUDE 'Parametres.f'
C
      IF (IPOSTSCRIPT.EQ.1) THEN
        X0 = -ORIGINE_X/FACTEUR_EN_X
        X1 = X0 + TAILLE_X/FACTEUR_EN_X
        Y1 = -ORIGINE_Y/FACTEUR_EN_Y
        Y0 = Y1 + TAILLE_Y/FACTEUR_EN_Y
      ELSE
        X0 = -ORIGINE_X/FACTEUR_EN_X
        X1 = X0 + TAILLE_X/FACTEUR_EN_X
        Y0 = -ORIGINE_Y/FACTEUR_EN_Y
        Y1 = Y0 + TAILLE_Y/FACTEUR_EN_Y
      ENDIF
      END
C-----------------------------------------------------------------
      SUBROUTINE GSQWINEW(X0,DX,Y0,DY)
      INCLUDE 'Parametres.f'
C
      IF (IPOSTSCRIPT.EQ.1) THEN
        X0 = -ORIGINE_X/FACTEUR_EN_X
        DX = TAILLE_X/FACTEUR_EN_X
        DY = -TAILLE_Y/FACTEUR_EN_Y
        Y0 = -ORIGINE_Y/FACTEUR_EN_Y - DY
      ELSE
        X0 = -ORIGINE_X/FACTEUR_EN_X
        DX = TAILLE_X/FACTEUR_EN_X
        Y0 = -ORIGINE_Y/FACTEUR_EN_Y
        DY = TAILLE_Y/FACTEUR_EN_Y
      ENDIF
      END
